Subject: bug#63802: closed (Re: bug#63802: [mumi PATCH 0/3] Use consolidated X-Debbugs-Cc header)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Jul 2023 16:50:02 +0000

Your bug report

#63802: [mumi PATCH 0/3] Use consolidated X-Debbugs-Cc header

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63802: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63802
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63802: [mumi PATCH 0/3] Use consolidated X-Debbugs-Cc header
From: Arun Isaac <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Wed, 19 Jul 2023 17:49:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> Good idea!  Shadowing builtins should be avoided; the warnings are
> annoying and require the use of #:hide on imports (and the code more
> confusing to read).

I definitely agree. I was engrossed in writing mumi-compose, and quite
forgot about the builtin compose.

> No, just the explanation here (and a possible comment in the source
> mirroring it) is enough!

Done, and pushed!

Thanks!

Subject: [mumi PATCH 0/3] Use consolidated X-Debbugs-Cc header
From: Arun Isaac <[email-masked]>
To: [email-masked]
Cc: Arun Isaac <[email-masked]>, Maxim Cournoyer <[email-masked]>
Date: Tue, 30 May 2023 13:11:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

With this patchset, mumi invokes teams.scm and combines its
X-Debbugs-Cc with that produced by teams.scm. Thus, there is only a
single consolidated X-Debbugs-Cc header in the outgoing email. This is
achieved by providing a new `mumi git-send-email-headers' subcommand
that is passed to `git send-email` via --header-cmd.

I'm Ccing Maxim as this is related to
https://issues.guix.gnu.org/63378

Regards,
Arun

Arun Isaac (3):
  client: Do not pass --add-header to git send-email.
  client: Add git-send-email-headers subcommand.
  client: Use mumi git-send-email-headers subcommand.

 mumi/client.scm  | 52 ++++++++++++++++++++++++++++++++++++++++++------
 scripts/mumi.in  |  4 +++-
 tests/client.scm | 19 ++++++++++++------
 3 files changed, 62 insertions(+), 13 deletions(-)

-- 
2.39.2